# SWDB

# application/actionedit_profile.php

File for the profile edit action.

Implements an action function to be called from the {@see Controller}.

Package
  \Default

## Tags

category | Action

## Functions

### action()

    action(resource  $db = null) : integer|string

Executes the profile update.

Reads the POST parameters looking for the following KEYS: mail pass + currentPass api Then it updates the selected info with the prameter vlue. Multiple itemas can be updated at the same time.

#### Parameters

resource | $db | Database connection.

#### Returns

integer|string —

0 on success, negative values on error. If the API key has been updated, the new key.

#

File
  application/action/edit_profile.php

## Tags

package | Default
category | Action

###